Error when running deepstream-ssd-parser

• Hardware Platform Jetson
• DeepStream Version 6.3
• JetPack Version 5.1
• TensorRT Version 5.1
• Issue Type questions

Hi, I’m trying to run deepstream-ssd-parser however I get error when trying to create encoder:

Creating Encoder
Unable to create Encoder
If the following error is encountered:
/usr/lib/aarch64-linux-gnu/libgomp.so.1: cannot allocate memory in static TLS block
Preload the offending library:
export LD_PRELOAD=/usr/lib/aarch64-linux-gnu/libgomp.so.1
Traceback (most recent call last):
File “deepstream_ssd_parser.py”, line 454, in
sys.exit(main(sys.argv))
File “deepstream_ssd_parser.py”, line 359, in main
encoder.set_property(“bitrate”, 2000000)
AttributeError: ‘NoneType’ object has no attribute ‘set_property’

Since all the other examples work without any problems, it seems to me avenc_mpeg4 encoder is the problem.

gst-inspect-1.0 |grep avenc_mpeg4

Can the above command line get output ? If no,I think some elements are missed.

apt-get install -y gstreamer1.0-libav
apt-get install --reinstall -y gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly libavresample-dev libavresample4 libavutil-dev libavutil56 libavcodec-dev libavcodec58 libavformat-dev libavformat58 libavfilter7 libde265-dev libde265-0 libx264-155 libx265-179 libvpx6 libmpeg2encpp-2.1-0 libmpeg2-4 libmpg123-0

Hi again,

Can the above command line get output ?

There’s no output with the command.

I tried reinstalling but that didn’t help, there’s still no avenc_mpeg4.

There is no update from you for a period, assuming this is not an issue anymore. Hence we are closing this topic. If need further support, please open a new one. Thanks

$ rm .cache/gstreamer-1.0/registry.aarch64.bin

If the plugin is still missing, probably it is better to re-flash the system.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.